%global momorel 9
%define tarball xf86-video-xgi
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

Summary:   Xorg X11 xgi video driver
Name:      xorg-x11-drv-xgi
Version:   1.5.0
Release: %{momorel}m%{?dist}
URL:       http://www.x.org/
%global xorgurl http://xorg.freedesktop.org/releases/individual
Source0: %{xorgurl}/driver/%{tarball}-%{version}.tar.bz2 
NoSource: 0
Patch0:    xf86-video-xgi-1.5.0-xorg-server-1.5.patch
Patch1: xf86-video-xgi-1.5.0-xserver-1.6.patch
Source1:   xgi.xinf

License:   MIT/X
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: %{ix86} x86_64 ia64 ppc ppc64 alpha sparc sparc64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-devel >= 1.6

Requires:  xorg-x11-server-Xorg >= 1.6

%description 
X.Org X11 xgi video driver.

%prep
%setup -q -n %{tarball}-%{version}

%patch0 -p1
%patch1 -p1 -b .xserver-1.6

%build
%configure --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/hwdata/videoaliases/
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%{driverdir}/xgi_drv.so
%{_datadir}/hwdata/videoaliases/xgi.xinf
%{_mandir}/man4/xgi.4*

%changelog
* Thu Mar 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.0-9m)
- add patch1 (xserver-1.6)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-8m)
- rebuild against rpm-4.6

* Fri Dec 26 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5.0-7m)
- revise for rpm46 (s/%%patch/%%patch0/)

* Mon May 19 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.0-6m)
- support xorg-server-1.5

* Sun May  4 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.0-5m)
- change BPR xorg-x11-server-sdk to xorg-x11-server-devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.0-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.0-3m)
- %%NoSource -> NoSource

* Fri Sep 14 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.0-2m)
- rebuild against xorg-x11-server-1.4

* Fri Sep  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.0-1m)
- Initial Commit
